Bug 534761 - (RHQ-1526) we need UI testing over https
we need UI testing over https
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Tests (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Jeff Weiss
http://jira.rhq-project.org/browse/RH...
: Task
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-11 00:11 EST by John Mazzitelli
Modified: 2014-11-09 17:48 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2009-02-11 00:11:00 EST
I think as part of our testing, we need to test UI pages going over https, too.

I came across this JIRA ( https://jira.jboss.org/jira/browse/RF-5624 ) which tells me we need to be exercising the entire UI over https to catch any errors in the JSF/Seam framework, especially including file upload pages (like the plugins UI page and the content UI pages).
Comment 1 Jeff Weiss 2009-02-26 11:56:11 EST
I have run the automation against a linux/postgres rev3078 server with https.  Everything looks normal.  I'll do some specific testing on file upload pages now.
Comment 2 Jeff Weiss 2009-02-26 12:05:25 EST
Tested upload pages for content and plugins, works fine over https.
Comment 3 Red Hat Bugzilla 2009-11-10 15:34:57 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1526

Note You need to log in before you can comment on or make changes to this bug.